/* Configuration file for starting non-secure Reggie */

import com.sun.jini.config.ConfigUtil;
import com.sun.jini.start.NonActivatableServiceDescriptor;
import com.sun.jini.start.ServiceDescriptor;

com.sun.jini.start {

    private static codebase =
		"file:lib/jini/reggie-dl.jar";

// Example of http derived codebase
//	ConfigUtil.concat(
//	    new Object[] { 
//		"http://", ConfigUtil.getHostName(), ":8080/reggie-dl.jar" });

    private static policy = "config/jini/${/}reggie.policy";
    private static classpath = "lib/jini/${/}reggie.jar";
    private static config = "config/jini/${/}jrmp-reggie-tmp.config";

    static serviceDescriptors = new ServiceDescriptor[] {
	new NonActivatableServiceDescriptor(
	    codebase, policy, classpath,
	    "com.sun.jini.reggie.TransientRegistrarImpl",
	    new String[] { config })
    };

}//end com.sun.jini.start 
